Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.container
Class SecurityAspect

    java.lang.Object
      org.jboss.jms.server.container.SecurityAspect

public class SecurityAspect
extends java.lang.Object

This aspect enforces the JBossMessaging JMS security policy. This aspect is PER_INSTANCE For performance reasons we cache access rights in the interceptor for a maximum of INVALIDATION_INTERVAL milliseconds. This is because we don't want to do a full authentication and authorization on every send, for example, since this will drastically reduce performance. This means any changes to security data won't be reflected until INVALIDATION_INTERVAL milliseconds later.

Version:
  `$Revision 1.1 $` $Id: SecurityAspect.java,v 1.16 2006/04/27 17:38:09 ovidiu Exp $
Author:
  Tim Fox

Constructor Summary
`SecurityAspect()`

Method Summary
`protected void` | `checkConsumerAccess(Invocation invocation)`
`java.lang.Object` | `handleActivate(Invocation invocation)`
`java.lang.Object` | `handleCreateBrowserDelegate(Invocation invocation)`
`java.lang.Object` | `handleCreateConsumerDelegate(Invocation invocation)`
`java.lang.Object` | `handleGetMessageNow(Invocation invocation)`
`java.lang.Object` | `handleSend(Invocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityAspect

    public SecurityAspect()

Method Detail

### handleCreateConsumerDelegate

    public java.lang.Object handleCreateConsumerDelegate(Invocation invocation)
                                                  throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleCreateBrowserDelegate

    public java.lang.Object handleCreateBrowserDelegate(Invocation invocation)
                                                 throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleSend

    public java.lang.Object handleSend(Invocation invocation)
                                throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleGetMessageNow

    public java.lang.Object handleGetMessageNow(Invocation invocation)
                                         throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleActivate

    public java.lang.Object handleActivate(Invocation invocation)
                                    throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### checkConsumerAccess

    protected void checkConsumerAccess(Invocation invocation)
                                throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.